Subject: Re: [PATCH] powerpc/opal: add warning for unimplemented OPAL message type

From: Michael Ellerman <[email-masked]>
Date: Wed, 09 Dec 2015 11:17:12 +1100

Hi Wen,

Thanks for the patch.

On Tue, 2015-12-08 at 15:30 +0800, [email-masked] wrote:
> I found that there are unimplemented OPAL message types "OPAL_MSG_EPOW" and 
> "OPAL_MSG_DPO" in PowerNV Platform. If skiboot send such messages to kernel, 
> nothing will happen(notifier_call_chain() will silently drop it). So I add a warning 
> to inform what has happened, is it necessary? 

What kernel version are you using?

Looking at mainline (4.4-rc4), I do see handlers registered for EPOW and DPO:

  https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/arch/powerpc/platforms/powernv/opal-power.c?#n82

That code was merged in 4.3.

In general I don't think we want to warn for unhandled message types, because
we support old kernels running on new skiboot. In that case if we warned on
every unhandled message we'd potentially spam the console with warnings.

But perhaps we can come up with something smarter, that only warns once for
each unhandled message type, or something like that? Did you have a bug that
would have been easier to debug with a warning here?

cheers